package de.jaujau.UnitTests;

import static org.junit.jupiter.api.Assertions.*;

import java.awt.Image;

import org.junit.jupiter.api.Test;
import de.jaujau.daten.TexturenpaketIntern;

class TEST_TexturenpaketIntern {

	private TexturenpaketIntern paket;
	
	@Test
	void FehlerFreiesPaketLaden() {
		paket = new TexturenpaketIntern("/img/texturen/standart", "TestPaket", 0);
		assertTrue(paket.ladePacket());
		System.out.println("Name des Texturen Paketes: " + paket.getName());
		System.out.println("Level des Texturen Paketes: " + paket.getLevel());
	}
	
	
	@Test
	void TexturenAusgeben() {
		paket = new TexturenpaketIntern("/img/texturen/standart", "TestPaket", 0);
		assertTrue(paket.ladePacket());
		Image Bilder[] = paket.getTexturen();
		for(int i = 0; i < 33; i++) {
			assertTrue(Bilder[i] != null);
		}
	}

}
